## debian-installer 20101020ubuntu136.9

=== debian/changelog ===
debian-installer (20101020ubuntu136.9) precise; urgency=low

  * No-change rebuild to pick up latest installer components.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 Feb 2013 11:22:05 -0700

debian-installer (20101020ubuntu136.8) precise; urgency=low

  * Move master kernels to 3.2.0-37.
  * Move lts-quantal kernels to 3.5.0-23.
  * Move omap4 kernels to 3.2.0-1425.
  * Move armadaxp kernels to 3.2.0-1614.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Feb 2013 09:20:40 -0700

debian-installer (20101020ubuntu136.7) precise; urgency=low

  * Make omap/omap4 netboot VFAT partitions the same size
    as the ones used for CD-like media (LP: #1040393)
  * Move omap4 kernels to 3.2.0-1424.
  * Move armadaxp kernels to 3.2.0-1613.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 13 Jan 2013 01:37:40 -0700

debian-installer (20101020ubuntu136.6) precise; urgency=low

  * Move to 3.2.0-36 kernels.
  * Move armel/omap4 and armhf/omap4 to 3.2.0-1423 kernels.
  * Move armhf/armadaxp to 3.2.0-1612 kernels.
  * Move quantal-* images to 3.5.0-22 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Jan 2013 13:29:47 +0000

debian-installer (20101020ubuntu136.5) precise-proposed; urgency=low

  * Move to 3.2.0-34 kernels.
  * Move armel/omap4 and armhf/omap4 to 3.2.0-1421 kernels.
  * Move armhf/armadaxp to 3.2.0-1610 kernels.
  * Add quantal images for amd64 and i386, built with the lts-quantal kernel
    (3.5.0-18) and configured to install it (LP: #1079797).
  * Use signed GRUB and (for quantal) kernel images on amd64 (LP: #1075181).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Nov 2012 17:36:21 +0000

debian-installer (20101020ubuntu136.4) precise-proposed; urgency=low

  * Move to 3.2.0-30 kernels.
  * Move armel/omap4 and armhf/omap4 to 3.2.0-1418 kernels.
  * Move armhf/armadaxp to 3.2.0-1607 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Aug 2012 22:34:02 +0100

debian-installer (20101020ubuntu136.3) precise-proposed; urgency=low

  * Update master kernels to 3.2.0-29
  * Update armadaxp kernels to 3.2.0-1606
  * Update ti-omap4 kernels to 3.2.0-1417

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 01 Aug 2012 21:08:28 -0600

debian-installer (20101020ubuntu136.2) precise-proposed; urgency=low

  [ Michael Casadevall ]
  * Add Highbank images for precise (LP: #1004018)

  [ Adam Conrad ]
  * Make highbank support match in style with armadaxp
  * Update master kernels to 3.2.0-27
  * Update armadaxp kernels to 3.2.0-1605
  * Update ti-omap4 kernels to 3.2.0-1416

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Jul 2012 23:24:40 -0600

debian-installer (20101020ubuntu136.1) precise-proposed; urgency=low

  [ Colin Watson ]
  * Use udebs from precise-security, precise-proposed, and precise-updates.
  * Move to 3.2.0-26 kernels.
  * Move armel/omap4 and armhf/omap4 to 3.2.0-1415 kernels.
  * Move armhf/armadaxp to 3.2.0-1604 kernels.

  [ Adam Conrad ]
  * Fix armadaxp netboot uImage/uInitrd install paths (LP: #1010708)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jul 2012 10:53:44 +0100

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.8.3
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [armel armhf], syslinux (>= 2:4.02) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot-linaro-omap3-beagle [armel armhf], u-boot-linaro-omap4-panda [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl [armel], makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386], grub-efi-amd64-bin [amd64], grub-common [amd64], debian-ports-archive-keyring [sh4 sparc64]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 7.0.0)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- ubuntu-keyring
#		To provide the archive key for security checks.
#	- dctrl-tools
#		Various manipulations of the udeb Packages files.
#	- wget
#		Used to test validity of mirrors.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- xsltproc
#	- docbook-xml
#	- docbook-xsl
#		The d-i internals manual is in DocBook XML.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	- lsb-release
#		Provides system version information.
#	
# Library build dependencies:
#	- glibc-pic
#		For library reduction.
#	- libslang2-pic (>= 2.0.6-4)
#		Make dependency versioned temporarily to make sure we avoid #392942
#	- libnewt-pic (>= 0.52.2-11.3) [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev (>= 0.52.2-11.3) [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libgcc1 [i386 amd64]
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		On i386 
#		calls in directfb. For now, this is done by setting EXTRAFILES.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ia64 mips mipsel armeb armel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.25)
#		We use mklibs for library reduction.
#	- genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x]
#		For making mini isos.
#	- genromfs [sparc sparc64]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#		armel/armhf uses it for omap3/4 netboot images and requires
#		3.0.9-1ubuntu2 to create bootable filesystems on OMAP
#	- cpio
#		For creating initramfs images.
#	- devio [armeb armel]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- parted [armel armhf]
#		For ARM OMAP images.
#	- slugimage (>= 0.10+r58-6) [armeb armel]
#		For building nslu2 firmware images.
#	- u-boot-tools [armel armhf]
#		For creating u-boot images
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 2:4.02) [i386 amd64]
#		With isohybrid.
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc sparc64]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo [mipsel]
#		For booting Cobalt machines.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#	- emile [m68k]
#	- emile-bootblocks [m68k]
#		Bootloader for m68k/mac machines.
#	- u-boot-linaro-omap3-beagle [armel armhf]
#	- u-boot-linaro-omap4-panda [armel armhf]
#		First and second state bootloaders for omap 3/4
#	- shim-signed [amd64]
#		First-stage bootloader for UEFI Secure Boot
#
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#	- po4a [i386 amd64]
#	- python [i386 amd64]
#		For building gfxboot help texts.
#
#	- module-init-tools [i386 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc s390 sh4 sparc sparc64]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- mkvmlinuz [powerpc]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
#	- openssl [armel]
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it.
#	- makefs [kfreebsd-i386 kfreebsd-amd64]
#		Used to create an UFS1 filesystem from a directory tree.
#	- grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#		Used as the CD-ROM's bootloader
#       - xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#               Used by grub-pc to create the CD-ROM images
#	- grub-efi-amd64-bin [amd64]
#		EFI bootloader support.
#	- grub-common [amd64]
#		For the GRUB font.
#	- debian-ports-archive-keyring [sh4 sparc64]
#		Used for architectures hosted on debian-ports.org

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

## debian-installer 20101020ubuntu136.9+6.0trisquel1

=== debian/changelog ===
debian-installer (20101020ubuntu136.9+6.0trisquel1) toutatis; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 11 Feb 2013 18:59:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.8.3
@@ -9,7 +9,7 @@
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [armel armhf], syslinux (>= 2:4.02) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot-linaro-omap3-beagle [armel armhf], u-boot-linaro-omap4-panda [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl [armel], makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386], grub-efi-amd64-bin [amd64], grub-common [amd64], debian-ports-archive-keyring [sh4 sparc64]
+Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, trisquel-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [armel armhf], syslinux (>= 2:4.02) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot-linaro-omap3-beagle [armel armhf], u-boot-linaro-omap4-panda [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl [armel], makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386], grub-efi-amd64-bin [amd64], grub-common [amd64], debian-ports-archive-keyring [sh4 sparc64]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -26,7 +26,7 @@
 # 		apt-ftparchive is used for including localudebs.
 #	- gnupg
 #		New versions of apt need gnupg for security checks.
-#	- ubuntu-keyring
+#	- trisquel-keyring
 #		To provide the archive key for security checks.
 #	- dctrl-tools
 #		Various manipulations of the udeb Packages files.

## debian-installer 20101020ubuntu136.21

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define mkfs.ufs1
  sh -c 'makefs -t ffs -s 42m -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA1SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find . -type f ! -name \*SUMS` > MD5SUMS
	cd $(BASE_DEST) && sha1sum `find . -type f ! -name \*SUMS` > SHA1SUMS
	cd $(BASE_DEST) && sha256sum `find . -type f ! -name \*SUMS` > SHA256SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	ln -nsf . $(DPKGDIR)/info/$(shell dpkg --print-architecture)
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
		if [ "$$olddate" ]; then \
			if [ $$(( $$(date -u "+%s") - \
			          $$(date -d "$$olddate" "+%s") \
			       )) -gt 1209600 ]; then \
				echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
				echo "         Should it maybe be updated?"; \
				sleep 15; \
			fi; \
		else \
			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
			sleep 15; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

ifdef SSL_CERTS
	# Copy in any SSL certificates.
	mkdir -p $(TREE)/etc/ssl/certs
	cp -a $(SSL_CERTS) $(TREE)/etc/ssl/certs/
	c_rehash $(TREE)/etc/ssl/certs
	mkdir -p $(TREE)/usr/lib/ssl
	ln -nsf ../../../etc/ssl/certs $(TREE)/usr/lib/ssl/certs
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
ifdef KERNELVERSION
	# Set up modules.dep, ensure there is at least one standard dir (kernel

=== debian/changelog ===
debian-installer (20101020ubuntu136.21) precise; urgency=medium

  * No-change rebuild to pick up new debian-installer-utils (LP: #1402042)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Jul 2015 09:05:04 -0600

debian-installer (20101020ubuntu136.20) precise; urgency=medium

  * Move master kernels to 3.2.0-67.
  * Move armadaxp kernels to 3.2.0-1636.
  * Move ti-omap4 kernels to 3.2.0-1451.
  * Move lts-quantal kernels to 3.5.0-54.
  * Move lts-raring kernels to 3.8.0-44.
  * Move lts-saucy kernels to 3.11.0-26.
  * Move lts-trusty kernels to 3.13.0-32.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 28 Jul 2014 23:16:07 -0600

debian-installer (20101020ubuntu136.19) precise; urgency=medium

  * Bump i386 and amd64 lts-trusty netboot sizes to match trusty.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Jun 2014 08:07:11 -0600

debian-installer (20101020ubuntu136.18) precise; urgency=medium

  [ Colin Watson ]
  * Add SSL_CERTS variable, which can be used to build images with embedded
    SSL certificates with c_rehash run over them so that OpenSSL can see
    them (LP: #833994).
  * Include wget-udeb in all images so that HTTPS support works out of the
    box.

  [ Adam Conrad ]
  * Cargo-cult lts-saucy configs as lts-trusty, starting at 3.13.0-30.
  * Move master kernels to 3.2.0-65.
  * Move armadaxp kernels to 3.2.0-1635.
  * Move ti-omap4 kernels to 3.2.0-1450.
  * Move lts-quantal kernels to 3.5.0-52.
  * Move lts-saucy kernels to 3.11.0-24.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Jun 2014 06:14:44 -0600

debian-installer (20101020ubuntu136.17) precise; urgency=medium

  * Move master kernels to 3.2.0-64.
  * Move armadaxp kernels to 3.2.0-1634.
  * Move ti-omap4 kernels to 3.2.0-1446.
  * Move lts-quantal kernels to 3.5.0-51.
  * Move lts-raring kernels to 3.8.0-42.
  * Move lts-saucy kernels to 3.11.0-23.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 May 2014 09:05:31 +0200

debian-installer (20101020ubuntu136.16) precise; urgency=medium

  * Move master kernels to 3.2.0-60.
  * Move armadaxp kernels to 3.2.0-1631.
  * Move ti-omap4 kernels to 3.2.0-1444.
  * Move lts-quantal kernels to 3.5.0-47.
  * Move lts-raring kernels to 3.8.0-37.
  * Move lts-saucy kernels to 3.11.0-18.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Mar 2014 10:52:20 +0000

debian-installer (20101020ubuntu136.15) precise; urgency=medium

  * Cargo-cult lts-raring configs for lts-saucy.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Jan 2014 17:18:35 +0000

debian-installer (20101020ubuntu136.14) precise; urgency=low

  * Move master kernels to 3.2.0-58.
  * Move armadaxp kernels to 3.2.0-1629.
  * Move ti-omap4 kernels to 3.2.0-1442.
  * Move lts-quantal kernels to 3.5.0-45.
  * Move lts-raring kernels to 3.8.0-35.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Dec 2013 12:10:27 +0000

debian-installer (20101020ubuntu136.13) precise; urgency=low

  * Move lts-quantal kernels to 3.5.0-39.
  * Move lts-raring kernels to 3.8.0-29.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 16 Aug 2013 13:21:05 -0600

debian-installer (20101020ubuntu136.12) precise; urgency=low

  * Move master kernels to 3.2.0-52.
  * Move ti-omap4 kernels to 3.2.0-1436.
  * Move lts-quantal kernels to 3.5.0-38.
  * Move lts-raring kernels to 3.8.0-28.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 13 Aug 2013 11:12:06 -0600

debian-installer (20101020ubuntu136.11) precise; urgency=low

  * Move master kernels to 3.2.0-51.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 06 Aug 2013 02:17:18 +0100

debian-installer (20101020ubuntu136.10) precise; urgency=low

  * Cargo-cult lts-quantal configs for lts-raring.
  * Move armadaxp kernels to 3.2.0-1623.
  * Move ti-omap4 kernels to 3.2.0-1435.
  * Move lts-quantal kernels to 3.5.0-37.
  * Move master kernels to 3.2.0-50.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 22 Jul 2013 15:36:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.8.3
@@ -9,7 +9,7 @@
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, trisquel-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [armel armhf], syslinux (>= 2:4.02) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot-linaro-omap3-beagle [armel armhf], u-boot-linaro-omap4-panda [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl [armel], makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386], grub-efi-amd64-bin [amd64], grub-common [amd64], debian-ports-archive-keyring [sh4 sparc64]
+Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [armel armhf], syslinux (>= 2:4.02) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot-linaro-omap3-beagle [armel armhf], u-boot-linaro-omap4-panda [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386], grub-efi-amd64-bin [amd64], grub-common [amd64], debian-ports-archive-keyring [sh4 sparc64]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -26,7 +26,7 @@
 # 		apt-ftparchive is used for including localudebs.
 #	- gnupg
 #		New versions of apt need gnupg for security checks.
-#	- trisquel-keyring
+#	- ubuntu-keyring
 #		To provide the archive key for security checks.
 #	- dctrl-tools
 #		Various manipulations of the udeb Packages files.
@@ -165,9 +165,10 @@
 #	- mkvmlinuz [powerpc]
 #		Used to make powerpc images that can boot direct from
 #		firmware w/o using a boot loader.
-#	- openssl [armel]
+#	- openssl
 #		Used to encrypt a firmware image so an ARM based device
-#		(Thecus N2100) will accept it.
+#		(Thecus N2100) will accept it. Also useful on other
+#		architectures if SSL_CERTS has been set locally.
 #	- makefs [kfreebsd-i386 kfreebsd-amd64]
 #		Used to create an UFS1 filesystem from a directory tree.
 #	- grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386]

## debian-installer 20101020ubuntu186

=== debian/changelog ===
debian-installer (20101020ubuntu186) quantal; urgency=low

  * No-change rebuild to pick up the latest signed grub2 image.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 15 Oct 2012 16:22:30 +0100

debian-installer (20101020ubuntu185) quantal; urgency=low

  * No-change rebuild to pick up the latest signed grub2 image.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 13 Oct 2012 14:25:38 -0600

debian-installer (20101020ubuntu184) quantal; urgency=low

  * No-change rebuild to pick up the latest SecureBoot components.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 11 Oct 2012 20:22:55 -0600

debian-installer (20101020ubuntu183) quantal; urgency=low

  * Simplify signed kernel handling at Adam Conrad's suggestion.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Oct 2012 14:01:19 +0100

debian-installer (20101020ubuntu182) quantal; urgency=low

  * Use a signed kernel on amd64.
  * Move armhf/armadaxp to 3.5.0-1603 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Oct 2012 13:28:22 +0100

debian-installer (20101020ubuntu181) quantal; urgency=low

  [ Steve Langasek ]
  * build/util/efi-image: try to grab a signed grub efi image from the
    archive first, before generating one locally.
  * build-depend on shim-signed and have build/util/efi-image use this
    as bootx64.efi, with the signed grub image as grubx64.efi.

  [ Colin Watson ]
  * Move armhf/omap4 to 3.5.0-213 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Oct 2012 16:25:35 +0100

debian-installer (20101020ubuntu180) quantal; urgency=low

  * Move master kernels to 3.5.0-17.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 04 Oct 2012 14:43:13 -0600

debian-installer (20101020ubuntu179) quantal; urgency=low

  * Move armhf/armadaxp to 3.5.0-1602 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 13:00:11 +0100

debian-installer (20101020ubuntu178) quantal; urgency=low

  * Move omap4 kernels to 3.5.0-212.
  * Rebuild against 3.5.0-16.25 master kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 29 Sep 2012 11:06:28 -0600

debian-installer (20101020ubuntu177) quantal; urgency=low

  * Move to 3.5.0-16 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Sep 2012 16:08:52 +0100

debian-installer (20101020ubuntu176) quantal; urgency=low

  * Move omap4 kernels to 3.5.0-211.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 21 Sep 2012 18:12:15 -0600

debian-installer (20101020ubuntu175) quantal; urgency=low

  [ Colin Watson ]
  * Move to 3.5.0-15 kernels.

  [ Adam Conrad ]
  * Move omap4 kernels to 3.5.0-210.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Sep 2012 10:29:12 -0600

debian-installer (20101020ubuntu174) quantal; urgency=low

  * Fix GRUB EFI prefix to work properly with GRUB 2.00.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Sep 2012 10:53:05 +0100

debian-installer (20101020ubuntu173) quantal; urgency=low

  * Move armadaxp kernels to 3.2.0-1608.
  * Rebuild against fixed x86 kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 13 Sep 2012 20:18:29 -0600

debian-installer (20101020ubuntu172) quantal; urgency=low

  * Move master kernels to 3.5.0-14.
  * Move armadaxp kernels to 3.2.0-1607.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Sep 2012 19:17:27 -0600

debian-installer (20101020ubuntu171) quantal; urgency=low

  * No-change rebuild against biosdevname 0.4.1-0ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 01 Sep 2012 01:34:48 +0100

debian-installer (20101020ubuntu170) quantal; urgency=low

  * Move master kernels to 3.5.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 29 Aug 2012 16:46:40 -0600

debian-installer (20101020ubuntu169) quantal; urgency=low

  * Move master kernels to 3.5.0-12.
  * Move omap4 kernels to 3.5.0-209.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 26 Aug 2012 21:10:58 -0600

debian-installer (20101020ubuntu168) quantal; urgency=low

  * Move master kernels to 3.5.0-11.
  * Move omap4 kernels to 3.5.0-208.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 20 Aug 2012 19:04:46 -0600

debian-installer (20101020ubuntu167) quantal; urgency=low

  * Move master kernels to 3.5.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 14 Aug 2012 13:42:52 -0600

debian-installer (20101020ubuntu166) quantal; urgency=low

  [ Colin Watson ]
  * build/util/efi-image: Add an explicit copyright/licence notice,
    requested by Steve McIntyre.

  [ Adam Conrad ]
  * Move master kernels to 3.5.0-9.
  * Move armadaxp kernels to 3.2.0-1606.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 09 Aug 2012 19:26:58 -0600

debian-installer (20101020ubuntu165) quantal; urgency=low

  * Move master kernels to 3.5.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 06 Aug 2012 00:16:37 -0600

debian-installer (20101020ubuntu164) quantal; urgency=low

  * Move master kernels to 3.5.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 31 Jul 2012 23:59:25 -0600

debian-installer (20101020ubuntu163) quantal; urgency=low

  * Symlink build/pkg-lists/*/armel/omap4.cfg to omap.cfg, fixing
    non-onboard NICs on netboot, and HID on cdrom (LP: #1028664)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Jul 2012 19:44:04 -0600

debian-installer (20101020ubuntu162) quantal; urgency=low

  * Fix: highbank initrd was being named .img instead of .gz

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Jul 2012 11:30:41 -0600

debian-installer (20101020ubuntu161) quantal; urgency=low

  * Give the netboot images an additional 2MB of breathing room.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Jul 2012 23:55:09 -0600

debian-installer (20101020ubuntu160) quantal; urgency=low

  * Move master kernels to 3.5.0-6.
  * Bring highbank support in line with recent precise SRU.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Jul 2012 22:03:36 -0600

debian-installer (20101020ubuntu159) quantal; urgency=low

  * No-change rebuild against netcfg 1.68ubuntu15.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 22 Jul 2012 19:06:54 +0100

debian-installer (20101020ubuntu158) quantal; urgency=low

  * Move to 3.5.0-5 kernels.


=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=quantal
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=$(SUITE)
USE_PROPOSED_UPDATES=0
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install
